## rb-playlist-source rb-playlist-source — |

## Synopsis

    typedef     RBPlaylistSourcePrivate;
    RBSource*   rb_playlist_source_new_from_xml (RBShell *shell,
                                                 xmlNodePtr node);
    void        rb_playlist_source_save_playlist
                                                (RBPlaylistSource *source,
                                                 const char *uri);
    void        rb_playlist_source_save_to_xml  (RBPlaylistSource *source,
                                                 xmlNodePtr node);
    void        rb_playlist_source_burn_playlist
                                                (RBPlaylistSource *source);

## Description

## Details

### RBPlaylistSourcePrivate

    typedef struct RBPlaylistSourcePrivate RBPlaylistSourcePrivate;

### rb_playlist_source_new_from_xml ()

    RBSource*   rb_playlist_source_new_from_xml (RBShell *shell,
                                                 xmlNodePtr node);

`shell` : |
`node` : |
Returns : |

### rb_playlist_source_save_playlist ()

    void        rb_playlist_source_save_playlist
                                                (RBPlaylistSource *source,
                                                 const char *uri);

`source` : |
`uri` : |

### rb_playlist_source_save_to_xml ()

    void        rb_playlist_source_save_to_xml  (RBPlaylistSource *source,
                                                 xmlNodePtr node);

`source` : |
`node` : |

### rb_playlist_source_burn_playlist ()

    void        rb_playlist_source_burn_playlist
                                                (RBPlaylistSource *source);

`source` : |